package com.rjconsultores.ventaboletos.utilerias.exportacaofiscal.vo;

import java.math.BigDecimal;

public class ExportacaoECFTipoICF {
	private BigDecimal valorTotal; 
	private String ufDestino;
	private Integer cfop; // IM=5357; serviço IE= 6357
	private BigDecimal valorBaseCalculoICMS; 
	private BigDecimal aliquotaICMS;
	private BigDecimal valorICMSDebitado; 
	private BigDecimal valorICMSIsento; 
	private BigDecimal valorICMSOutros; 
	private Integer codigoSituacaoTribColunaB; // 00 - tributação normal; 20 - tributação com redução na base de calculo; 40 - isentos
	private String ufOrigem;
	private Integer municipioOrigem;
	private String ecf;
	private String dataEmissao; 

	private BigDecimal redutorBaseCalculoIcms;
	private BigDecimal redutorMunicipalIcms;
	private BigDecimal redutorEstadualIcms;
	
	
	public ExportacaoECFTipoICF() {
		
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public String getUfDestino() {
		return ufDestino;
	}

	public void setUfDestino(String ufDestino) {
		this.ufDestino = ufDestino;
	}

	public Integer getCfop() {
		return cfop;
	}

	public void setCfop(Integer cfop) {
		this.cfop = cfop;
	}

	public BigDecimal getValorBaseCalculoICMS() {
		return valorBaseCalculoICMS;
	}

	public void setValorBaseCalculoICMS(BigDecimal valorBaseCalculoICMS) {
		this.valorBaseCalculoICMS = valorBaseCalculoICMS;
	}

	public BigDecimal getAliquotaICMS() {
		return aliquotaICMS;
	}

	public void setAliquotaICMS(BigDecimal aliquotaICMS) {
		this.aliquotaICMS = aliquotaICMS;
	}

	public BigDecimal getValorICMSDebitado() {
		return valorICMSDebitado;
	}

	public void setValorICMSDebitado(BigDecimal valorICMSDebitado) {
		this.valorICMSDebitado = valorICMSDebitado;
	}

	public BigDecimal getValorICMSIsento() {
		return valorICMSIsento;
	}

	public void setValorICMSIsento(BigDecimal valorICMSIsento) {
		this.valorICMSIsento = valorICMSIsento;
	}

	public BigDecimal getValorICMSOutros() {
		return valorICMSOutros;
	}

	public void setValorICMSOutros(BigDecimal valorICMSOutros) {
		this.valorICMSOutros = valorICMSOutros;
	}

	public Integer getCodigoSituacaoTribColunaB() {
		return codigoSituacaoTribColunaB;
	}

	public void setCodigoSituacaoTribColunaB(Integer codigoSituacaoTribColunaB) {
		this.codigoSituacaoTribColunaB = codigoSituacaoTribColunaB;
	}

	public String getUfOrigem() {
		return ufOrigem;
	}

	public void setUfOrigem(String ufOrigem) {
		this.ufOrigem = ufOrigem;
	}

	public Integer getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(Integer municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public String getEcf() {
		return ecf;
	}

	public void setEcf(String ecf) {
		this.ecf = ecf;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public BigDecimal getRedutorBaseCalculoIcms() {
		return redutorBaseCalculoIcms;
	}

	public void setRedutorBaseCalculoIcms(BigDecimal redutorBaseCalculoIcms) {
		this.redutorBaseCalculoIcms = redutorBaseCalculoIcms;
	}

	public BigDecimal getRedutorMunicipalIcms() {
		return redutorMunicipalIcms;
	}

	public void setRedutorMunicipalIcms(BigDecimal redutorMunicipalIcms) {
		this.redutorMunicipalIcms = redutorMunicipalIcms;
	}

	public BigDecimal getRedutorEstadualIcms() {
		return redutorEstadualIcms;
	}

	public void setRedutorEstadualIcms(BigDecimal redutorEstadualIcms) {
		this.redutorEstadualIcms = redutorEstadualIcms;
	}

	@Override
	public String toString() {
		return "ExportacaoECFTipoICF [valorTotal=" + valorTotal + ", ufDestino=" + ufDestino + ", cfop=" + cfop + ", valorBaseCalculoICMS=" + valorBaseCalculoICMS + ", aliquotaICMS=" + aliquotaICMS + ", valorICMSDebitado=" + valorICMSDebitado + ", valorICMSIsento=" + valorICMSIsento + ", valorICMSOutros=" + valorICMSOutros + ", codigoSituacaoTribColunaB=" + codigoSituacaoTribColunaB + ", ufOrigem=" + ufOrigem + ", municipioOrigem=" + municipioOrigem + ", ecf=" + ecf + ", dataEmissao=" + dataEmissao + ", redutorBaseCalculoIcms=" + redutorBaseCalculoIcms + ", redutorMunicipalIcms=" + redutorMunicipalIcms + ", redutorEstadualIcms=" + redutorEstadualIcms + "]";
	}
}
